package vip.xiaonuo.money.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 财务费用分析
 * </p>
 *
 * @author author
 * @since 2024-11-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("money_cost")
public class MoneyCost implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position = 1)
    private String orgId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 2)
    @JsonFormat(pattern = "yyyy-MM", timezone = "GMT+8")
    private Date createTime;

    /**
     * 管理费用
     */
    @ApiModelProperty(value = "管理费用", position = 3)
    private String manage;

    /**
     * 销售费用
     */
    @ApiModelProperty(value = "销售费用", position = 4)
    private String sale;

    /**
     * 财务费用
     */
    @ApiModelProperty(value = "财务费用", position = 5)
    private String finance;


    /**
     * 公司名称
     */
    @ApiModelProperty(value = "公司名称", position = 6)
    private String company;


}
