package vip.xiaonuo.production.controller;


import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.production.entity.ProductionReceive;
import vip.xiaonuo.production.entity.ProductionTarget;
import vip.xiaonuo.production.param.ProductionParam;
import vip.xiaonuo.production.param.ProductionReceiveParam;
import vip.xiaonuo.production.param.TargetListDetailVo;
import vip.xiaonuo.production.service.IProductionTargetService;

import java.util.List;

/**
 * <p>
 * 生产管控指标 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-12
 */
@RestController
@RequestMapping("/production-target")
@Api(tags = "生产管控指标")
@ApiSupport(author = "wang", order = 1)
@Validated
public class ProductionTargetController {

    @Autowired
    private IProductionTargetService targetService;


    @PostMapping("/production-target/getList")
    @ApiOperationSupport(order = 1)
    @ApiOperation("生产管控指标卡")
    public CommonResult<ProductionTarget> getList(@RequestBody ProductionParam productionParam) {
        return CommonResult.data(targetService.getTarget(productionParam));
    }

    @PostMapping("/production-target/getListJiHuaShengChanDetail")
    @ApiOperationSupport(order = 1)
    @ApiOperation("生产管控指卡实际，计划产量详细")
    public CommonResult<List<TargetListDetailVo>> getListDetail(@RequestBody ProductionParam productionParam) {
        return CommonResult.data(targetService.getListDetail(productionParam));
    }

    @PostMapping("/production-target/getListShouLvDetail")
    @ApiOperationSupport(order = 1)
    @ApiOperation("生产管控指收率详细")
    public CommonResult<List<TargetListDetailVo>> getListShouLvChengDetail(@RequestBody ProductionParam productionParam) {
        return CommonResult.data(targetService.getListShouLvChengDetail(productionParam));
    }
    @PostMapping("/production-target/getListNengHaoDetail")
    @ApiOperationSupport(order = 1)
    @ApiOperation("生产管控指能耗详细")
    public CommonResult<List<TargetListDetailVo>> getListNengHaoDetail(@RequestBody ProductionParam productionParam) {
        return CommonResult.data(targetService.getListNengHaoDetail(productionParam));
    }
}
