package vip.xiaonuo.production.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 生成管控公司与车间对应表
 * </p>
 *
 * @author author
 * @since 2024-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("produce_location")
public class ProduceLocation implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 车间名称
     */
    @ApiModelProperty(value = "车间名称",position =1 )
    private String locationName;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position =2 )
    private String orgId;
    /**
     * 公司名称
     */
    @ApiModelProperty(value = "公司名称",position = 3)
    private String orgName;

    /**
     * 所选能耗列表
     */
    @ApiModelProperty(value = "所选能耗列表",position = 4)
    private String energyId;

}
