package vip.xiaonuo.production.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 车间能耗数据填报
 * </p>
 *
 * @author author
 * @since 2025-01-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("production_write_energy")
public class ProductionWriteEnergy implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 车间id
     */
    @ApiModelProperty(value = "车间id",position =1 )
    private Integer locationId;

    /**
     * 车间名称
     */
    @ApiModelProperty(value = "车间名称",position =2 )
    private String locationName;

    /**
     * 电量
     */
    @ApiModelProperty(value = "电量",position = 3)
    private String electricity;

    /**
     * 蒸汽
     */
    @ApiModelProperty(value = "蒸汽", position = 4)
    private String zhengQi;

    /**
     * 氮气
     */
    @ApiModelProperty(value = "氮气",position = 5)
    private String danQi;

    /**
     * 压缩空气
     */
    @ApiModelProperty(value = "压缩空气",position = 6)
    private String yaSuo;

    /**
     * RO水总量
     */
    @ApiModelProperty(value = "RO水总量",position = 7)
    private String roWater;

    /**
     * 自来水
     */
    @ApiModelProperty(value = "自来水",position = 8)
    private String zlWater;

    /**
     * 循环水
     */
    @ApiModelProperty(value = "循环水",position = 9)
    private String xhWater;

    /**
     * 7度水
     */
    @ApiModelProperty(value = "7度水",position = 10)
    private String qdWater;

    /**
     * 负15度水
     */
    @ApiModelProperty(value = "负15度水",position = 11)
    private String swdWater;

    /**
     * 负25度水
     */
    @ApiModelProperty(value = "负25度水",position = 12)
    private String eswdWater;

    /**
     * 产量
     */
    @ApiModelProperty(value = "产量",position = 13)
    private String produce;

    /**
     * 热水
     */
    @ApiModelProperty(value = "热水",position = 14)
    private String reWater;

    /**
     * 低温水
     */
    @ApiModelProperty(value = "低温水",position = 15)
    private String diwenWater;

    /**
     * 负15度乙二醇
     */
    @ApiModelProperty(value = "负15度乙二醇",position =16 )
    private String fuSwdYierchun;

    /**
     * 负25度乙二醇
     */
    @ApiModelProperty(value = "负25度乙二醇",position = 17)
    private String fuEswdYierchun;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position = 18)
    private String orgId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position =19)
    @JsonFormat(pattern = "yyyy-MM", timezone = "GMT+8")
    private Date createTime;


    /**
     * 公司名称
     */
    @ApiModelProperty(value = "公司名称",position = 20)
    private String orgName;
}
