package vip.xiaonuo.sale.controller;


import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.sale.entity.SaleCustomer;
import vip.xiaonuo.sale.entity.SaleSalesman;
import vip.xiaonuo.sale.entity.vo.SaleCustomerVo;
import vip.xiaonuo.sale.param.SaleCustomerParam;
import vip.xiaonuo.sale.param.SaleSalesmanParam;
import vip.xiaonuo.sale.service.ISaleCustomerService;

import java.util.List;

/**
 * <p>
 * 销售客户贡献 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
@RestController
@Api(tags = "销售客户贡献")
@ApiSupport(author = "wang", order = 1)
@Validated
public class SaleCustomerController {

    @Autowired
    private ISaleCustomerService customerService;

    @PostMapping("/sale-customer/getList")
    @ApiOperationSupport(order = 1)
    @ApiOperation("销售客户贡献列表")
    public CommonResult<List<SaleCustomer>> getList(@RequestBody SaleCustomerParam customerParam) {
        return CommonResult.data(customerService.getList(customerParam));
    }

    @PostMapping("/sale-customer/getListTop")
    @ApiOperationSupport(order = 2)
    @ApiOperation("大屏客户销售金额分析，只取top10")
    public CommonResult<List<SaleCustomer>> getListTop(@RequestBody SaleCustomerParam customerParam) {
        return CommonResult.data(customerService.getListTop(customerParam));
    }

    @PostMapping("/sale-customer/getDetail")
    @ApiOperationSupport(order = 3)
    @ApiOperation("大屏客户销售金额变动分析")
    public CommonResult<List<SaleCustomerVo>> getDetail(@RequestBody SaleCustomerParam customerParam) {
        return CommonResult.data(customerService.getDetail(customerParam));
    }
}
