package vip.xiaonuo.sale.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 销售信息明细表
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sale_detail")
public class SaleDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 销售合同编码
     */
    @ApiModelProperty(value = "销售合同编码",position = 1)
    private String saleContraceOrder;

    /**
     * 销售客户名称
     */
    @ApiModelProperty(value = "销售客户名称",position =2 )
    private String customer;

    /**
     * 业务员名称
     */
    @ApiModelProperty(value = "业务员名称",position =3 )
    private String salesman;

    /**
     * 产品名称
     */
    @ApiModelProperty(value = "产品名称",position = 3)
    private String produceName;

    /**
     * 销售数量
     */
    @ApiModelProperty(value = "销售数量",position = 4)
    private String saleNumber;

    /**
     * 销售金额
     */
    @ApiModelProperty(value = "销售金额",position =5 )
    private String saleMoney;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 6)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position =7 )
    private String orgId;


}
