package vip.xiaonuo.sale.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 销售应收款
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sale_receive")
public class SaleReceive implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 应收款合同编号
     */
    @ApiModelProperty(value = "应收款合同编号",position =1 )
    private String receiveOrder;

    /**
     * 应收账款账龄
     */
    @ApiModelProperty(value = "应收账款账龄",position = 2)
    private String receiveDay;

    /**
     * 应收账款金额
     */
    @ApiModelProperty(value = "应收账款金额",position = 3)
    private String receiveMoney;

    /**
     * 已回款金额
     */
    @ApiModelProperty(value = "已回款金额",position = 4)
    private String paymentMoney;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",position = 5)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position = 6)
    private String orgId;


}
