package vip.xiaonuo.write.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 通用预警列表
 * </p>
 *
 * @author author
 * @since 2025-03-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("write_warning")
public class WriteWarning implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 预警日期
     */
    @ApiModelProperty(value = "预警日期",position = 1)
    private Date warningDate;

    /**
     * 预警类型
     */
    @ApiModelProperty(value = "预警类型",position = 2)
    private String warningType;

    /**
     * 登记
     */
    @ApiModelProperty(value = "登记",position =3 )
    private String warningLevel;

    /**
     * 预警内容
     */
    @ApiModelProperty(value = "预警内容",position =4 )
    private String warningContent;

    /**
     * 处理人
     */
    @ApiModelProperty(value = "处理人",position = 5)
    private String userName;

    /**
     * 处理方式
     */
    @ApiModelProperty(value = "处理方式",position =6 )
    private String handle;

    /**
     * 处理结果
     */
    @ApiModelProperty(value = "处理结果",position = 7)
    private String handleResult;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position =8 )
    private String orgId;

    /**
     * 模块划分0财务1人事2采购3仓库4风控5生产6销售7质量
     */
    @ApiModelProperty(value = "模块划分0财务1人事2采购3仓库4风控5生产6销售7质量",position =9 )
    private Integer type;


}
