package vip.xiaonuo.write.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.production.entity.ProductionWriteRate;
import vip.xiaonuo.write.entity.WriteThreshold;
import vip.xiaonuo.write.mapper.WriteThresholdMapper;
import vip.xiaonuo.write.param.WriteThresholdAddParam;
import vip.xiaonuo.write.param.WriteThresholdPageParam;
import vip.xiaonuo.write.service.IWriteThresholdService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 通用预警阈值 服务实现类
 * </p>
 *
 * @author author
 * @since 2025-03-01
 */
@Service
public class WriteThresholdServiceImpl extends ServiceImpl<WriteThresholdMapper, WriteThreshold> implements IWriteThresholdService {

    @Autowired
    private WriteThresholdMapper thresholdMapper;

    @Override
    public CommonResult add(WriteThresholdAddParam addParam) {
        WriteThreshold threshold = new WriteThreshold();
        BeanUtil.copyProperties(addParam, threshold);
        thresholdMapper.insert(threshold);
        return CommonResult.ok();
    }

    @Override
    public CommonResult edit(WriteThreshold threshold) {
        thresholdMapper.updateById(threshold);
        return CommonResult.ok();
    }

    @Override
    public CommonResult delete(Map<String, String> paramsMap) {
        String id = paramsMap.get("id");
        thresholdMapper.deleteById(id);
        return CommonResult.ok();
    }

    @Override
    public Page<WriteThreshold> page(WriteThresholdPageParam pageParam) {
        Integer pageSize = pageParam.getPageSize();
        Integer pageNum = pageParam.getPageNum();
        String orgId = pageParam.getOrgId();
        QueryWrapper<WriteThreshold> queryWrapper = new QueryWrapper();
        Page<WriteThreshold> page = new Page<>(pageNum, pageSize);
        queryWrapper.eq(StringUtils.isNotBlank(orgId), "org_id", orgId);
        return thresholdMapper.selectPage(page, queryWrapper);
    }
}
